Page MenuHomePhabricator

[Tracker] Rewrite Special:ContentTranslationStats to query common database to make useful
Closed, ResolvedPublic1 Estimated Story Points

Description

Currently, Special:ContentTranslationStats is not providing much useful information. Rewrite to use query 'wikishared' common database and provide more useful information (to be decided, what to include) and also to avoid looking on all wikis for stats.

Event Timeline

KartikMistry raised the priority of this task from to Medium.
KartikMistry updated the task description. (Show Details)
KartikMistry added a subscriber: KartikMistry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2015, 11:18 PM
KartikMistry raised the priority of this task from Medium to High.Jan 29 2015, 10:17 PM

https://language-reportcard.wmflabs.org is not so useful due to various bugs/issues. So, this is high priority :)

Pginer-WMF added a subscriber: Pginer-WMF.EditedJan 30 2015, 6:58 PM

A mockup showing:

  • Quick "at a glance" global main metrics for current month.
  • General translation funnel (something similar can be done for users)
  • Table for each specific metric (with links to lists).
  • Evolution in time for each specific metric

gerritbot added a subscriber: gerritbot.

Change 188042 had a related patch set uploaded (by Santhosh):
New Special:ContentTranslationStats using central database

https://gerrit.wikimedia.org/r/188042

Patch-For-Review

santhosh claimed this task.Feb 3 2015, 7:03 AM

Change 188042 merged by jenkins-bot:
New Special:ContentTranslationStats using central database

https://gerrit.wikimedia.org/r/188042

Arrbee closed this task as Resolved.Feb 4 2015, 2:27 PM
Arrbee added a subscriber: Arrbee.
santhosh reopened this task as Open.Feb 4 2015, 3:10 PM

Closed my mistake. The patch https://gerrit.wikimedia.org/r/188042 added only one part of design. The rest of the design - monthly highlight, time line of a language pair etc need to be addressed

santhosh set Security to None.Feb 4 2015, 3:10 PM
santhosh moved this task from Sprint 82 to Backlog on the ContentTranslation-Release4 board.

Change 188978 had a related patch set uploaded (by Santhosh):
Stats: Add table for number of translators published between languages

https://gerrit.wikimedia.org/r/188978

Patch-For-Review

Change 188978 merged by Jsahleen:
Stats: Add table for number of translators published between languages

https://gerrit.wikimedia.org/r/188978

Amire80 moved this task from Backlog to In Progress on the LE-Sprint-82 board.Feb 10 2015, 8:56 AM
KartikMistry closed this task as Resolved.Feb 10 2015, 11:59 AM
KartikMistry moved this task from In Progress to Done on the LE-Sprint-82 board.Feb 17 2015, 3:55 AM
Pginer-WMF reopened this task as Open.Feb 17 2015, 8:55 AM

Table for each specific metric (with links to lists).

Reopened since currently we just show tables fro two of the metrics, but not the other two we set targets for: users that started a draft, and users that published a translation. A link the full list is also missing.

I'm ok in creating sub-tasks for this and closing them, but if we close the whole card without being complete the proposed changes may get lost.

Arrbee moved this task from Done to In Progress on the LE-Sprint-82 board.Feb 18 2015, 7:04 AM
Pginer-WMF edited a custom field.Feb 24 2015, 2:31 PM
Arrbee edited projects, added LE-Sprint-83; removed LE-Sprint-82.Feb 24 2015, 3:33 PM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-83 board.Feb 25 2015, 3:32 PM
Arrbee edited projects, added LE-Sprint-84; removed LE-Sprint-83.Mar 10 2015, 9:37 AM
santhosh renamed this task from Rewrite Special:ContentTranslationStats to query common database to make useful to [Tracker] Rewrite Special:ContentTranslationStats to query common database to make useful.Mar 11 2015, 8:41 AM
Arrbee lowered the priority of this task from High to Medium.Mar 11 2015, 8:43 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-84 board.Mar 19 2015, 9:17 AM
Arrbee moved this task from Long term to CX5 on the ContentTranslation board.Apr 20 2015, 6:08 AM
Arrbee closed this task as Resolved.May 15 2015, 11:13 AM